"use strict";

var game = require("./game");
var board = require("./board");
var square = require("./square");
var boardMineSetter = require("./boardMineSetter");
var randomBoardLocationsProvider = require("./randomBoardLocationsProvider");

module.exports = {
    "Game": game,
    "Board": board,
    "Square": square,
    "BoardMineSetter": boardMineSetter,
    "RandomBoardLocationsProvider": randomBoardLocationsProvider
};